=== debian/changelog ===
libeufin (0.9.4a) unstable; urgency=low

  * Package v0.9.4a

 -- Florian Dold <dold@taler.net>  Thu, 07 Mar 2024 23:48:43 +0100

libeufin (0.9.4) unstable; urgency=low

  * Package v0.9.4

 -- Florian Dold <dold@taler.net>  Thu, 07 Mar 2024 22:29:35 +0100

libeufin (0.9.4~dev.30) unstable; urgency=low

  * Package v0.9.4-dev.30

 -- Florian Dold <dold@taler.net>  Tue, 05 Mar 2024 22:29:35 +0100

libeufin (0.9.4~dev.29) unstable; urgency=low

  * Package v0.9.4-dev.29

 -- Florian Dold <dold@taler.net>  Tue, 27 Feb 2024 16:33:25 +0100

libeufin (0.9.4~dev.28) unstable; urgency=low

  * Package v0.9.4-dev.28

 -- Florian Dold <dold@taler.net>  Mon, 26 Feb 2024 17:09:51 +0100

libeufin (0.9.4~dev.27) unstable; urgency=low

  * Package v0.9.4-dev.27

 -- Florian Dold <dold@taler.net>  Wed, 21 Feb 2024 11:43:56 +0100

libeufin (0.9.4~dev.26) unstable; urgency=low

  * Package v0.9.4-dev.26

 -- Florian Dold <dold@taler.net>  Tue, 20 Feb 2024 17:19:54 +0100

libeufin (0.9.4~dev.25) unstable; urgency=low

  * Package v0.9.4-dev.25

 -- Florian Dold <dold@taler.net>  Mon, 19 Feb 2024 18:33:22 +0100

libeufin (0.9.4~dev.22) unstable; urgency=low

  * Package git tag v0.9.4-dev.22

 -- Florian Dold <dold@taler.net>  Fri, 16 Feb 2024 00:43:38 +0100

libeufin (0.9.4~dev.20) unstable; urgency=low

  * Package git tag v0.9.4-dev.20

 -- Florian Dold <dold@taler.net>  Wed, 14 Feb 2024 10:22:09 +0100

libeufin (0.9.4~dev.18) unstable; urgency=low

  * Package git tag v0.9.4-dev.18

 -- Florian Dold <dold@taler.net>  Fri, 09 Feb 2024 21:50:18 +0100

libeufin (0.9.3-11) unstable; urgency=low

  * Package v0.9.3-dev.7

 -- Florian Dold <dold@taler.net>  Mon, 29 Jan 2024 12:55:33 +0100

libeufin (0.9.3-9) unstable; urgency=low

  * Package v0.9.3-dev.4

 -- Florian Dold <dold@taler.net>  Fri, 19 Jan 2024 23:35:45 +0100

libeufin (0.9.3-8) unstable; urgency=low

  * Misc. bugfixes.

 -- Christian Grothoff <grothoff@gnu.org>  Tue, 13 Dec 2023 18:50:12 -0700

libeufin (0.9.3-7) unstable; urgency=low

  * Improvements to account creation.
  * Return more configuration data in /config.

 -- Christian Grothoff <grothoff@gnu.org>  Thu, 7 Dec 2023 00:50:12 -0800

libeufin (0.9.3-6) unstable; urgency=medium

  * Add CLI for account creation, minor bugfixes.

 -- Christian Grothoff <grothoff@gnu.org>  Mon, 4 Dec 2023 14:13:55 -0600

libeufin (0.9.3-5) unstable; urgency=medium

  * Add fix for idempotency of account creation.

 -- Christian Grothoff <grothoff@gnu.org>  Sat, 2 Dec 2023 16:13:55 -0600

libeufin (0.9.3-4) unstable; urgency=medium

  * Avoid conflicting double-initialization of DB versioning by bank and nexus.

 -- Christian Grothoff <grothoff@gnu.org>  Fri, 1 Dec 2023 19:47:55 -0600

libeufin (0.9.3-3) unstable; urgency=medium

  * Proper setup for database sharing needed for currency conversion
  * Coherent nginx configuration with default libeufin-bank configuration

 -- Christian Grothoff <grothoff@gnu.org>  Wed, 30 Nov 2023 15:47:55 -0600

libeufin (0.9.3-2) unstable; urgency=medium

  * Improved currency conversion implementation

 -- Florian Dold <dold@taler.net>  Wed, 29 Nov 2023 20:57:55 +0100

libeufin (0.9.3-1) unstable; urgency=medium

  * Also package libeufin-nexus
  * Various other packaging improvements

 -- Florian Dold <dold@taler.net>  Mon, 27 Nov 2023 21:54:22 +0100

libeufin (0.9.3) unstable; urgency=medium

  * Starting to package for v0.9.3.

 -- Christian Grothoff <grothoff@gnu.org>  Sat, 4 Mar 2023 14:47:04 +0200

libeufin (0.9.2-2) unstable; urgency=medium

  * Try to fix DB setup rules.

 -- Christian Grothoff <grothoff@gnu.org>  Sat, 4 Mar 2023 14:47:04 +0200

libeufin (0.9.2-1) unstable; urgency=medium

  * Add SPA.

 -- Christian Grothoff <grothoff@gnu.org>  Sat, 4 Mar 2023 14:46:04 +0200

libeufin (0.9.2) unstable; urgency=medium

  * New upstream release.

 -- Christian Grothoff <grothoff@gnu.org>  Tue, 21 Feb 2023 14:46:04 +0200

libeufin (0.9.1) unstable; urgency=medium

  * Prepare for first proper release.

 -- Christian Grothoff <grothoff@gnu.org>  Sat, 21 Jan 2023 14:46:04 +0200

libeufin (0.0.1-12) unstable; urgency=medium

  * Fix key letter generation.

 -- Florian Dold <florian@dold.me>  Thu, 14 Oct 2021 14:46:04 +0200

libeufin (0.0.1-11) unstable; urgency=medium

  * Add anastasis facade to the nexus.

 -- Florian Dold <florian@dold.me>  Tue, 24 Aug 2021 18:40:11 +0200

libeufin (0.0.1-10) unstable; urgency=medium

  * Add BIC validation to nexus and sandbox.

 -- Florian Dold <florian@dold.me>  Sat, 07 Aug 2021 21:40:28 +0200

libeufin (0.0.1-9) unstable; urgency=medium

  * Various bugfixes.

 -- Florian Dold <florian@dold.me>  Sat, 07 Aug 2021 16:09:59 +0200

libeufin (0.0.1-8) unstable; urgency=medium

  * Various bugfixes.

 -- Florian Dold <florian@dold.me>  Sat, 07 Aug 2021 14:32:14 +0200

libeufin (0.0.1-7) unstable; urgency=medium

  * New sandbox simulate-incoming-transaction command.

 -- Florian Dold <florian@dold.me>  Fri, 06 Aug 2021 00:08:52 +0200

libeufin (0.0.1-6) unstable; urgency=medium

  * Fix trailing slash in facade URL.

 -- Florian Dold <florian@dold.me>  Tue, 03 Aug 2021 14:43:33 +0200

libeufin (0.0.1-5) unstable; urgency=medium

  * Fix facade URL.

 -- Florian Dold <florian@dold.me>  Tue, 03 Aug 2021 14:43:33 +0200

libeufin (0.0.1-4) unstable; urgency=medium

  * Bugfixes in libeufin-cli and libeufin-nexus.

 -- Florian Dold <florian@dold.me>  Tue, 03 Aug 2021 13:59:52 +0200

libeufin (0.0.1-3) unstable; urgency=medium

  * Sandbox bugfixes.
  * Packaging: Install tmpfiles properly.

 -- Florian Dold <florian@dold.me>  Mon, 02 Aug 2021 19:53:44 +0200

libeufin (0.0.1-2) unstable; urgency=medium

  * Support debhelper-compat level 12.

 -- Florian Dold <florian@dold.me>  Sun, 01 Aug 2021 18:50:25 +0200

libeufin (0.0.1-1) unstable; urgency=medium

  * Packaging fixes.

 -- Florian Dold <florian@dold.me>  Sat, 31 Jul 2021 16:34:40 +0200

libeufin (0.0.1) unstable; urgency=low

  * Initial Release.


